Query Payment Status
GET
/queryPaymentStatusQuery API lets merchants “pull” information from the gateway. It allows merchant to query the status of payment. Use same transaction reference id used while calling HPP Request Payment Page API. This dataset can then be used to create in-house reports and analytics. If the requestCardToken field is set to true as part of the Sale transaction request parameters in the getHPP API, the queryPaymentStatus API response will include the cardToken value when the merchant makes the request.
Header Parameters
token*
stringQuery Parameters
tpn*
stringtransactionReferenceId*
stringGET/queryPaymentStatus
1curl --location 'https://api.ipospays.tech/v1/queryPaymentStatus' \
2--header 'token: '
Response
// Awaiting response…
Sample response
{
"iposHPResponse": {
"responseCode": 200,
"responseMessage": "Successful/Declined/Cancelled By Customer/Rejected By Customer",
"errResponseCode": "<Error response code>",
"errResponseMessage": "<Error response message>",
"transactionReferenceId": "<merchant transaction reference id>",
"transactionId": "<Unique transaction Id of iPOS-HP>",
"transactionType": "<1-sale / 2-card validation>",
"transactionNumber": "<4 digits of transaction number from processor>",
"batchNumber": "<3 digits of batch number from processor>",
"cardType": "<VISA / MASTERCARD / etc...>",
"cardLast4Digit": "<last 4 digits of credit/debit card>",
"amount": "<base amount or total amount charged>",
"tips": "<tip amount>",
"customFee": "<custom fee>",
"localTax": "<local tax>",
"stateTax": "<state tax>",
"totalAmount": "<total amount charged>",
"responseApprovalCode": "TAS164",
"rrn": "<retrieval reference number>",
"cardToken": "card-token-value",
"consumerId": "12412313"
}
}